A JS API for SpookVooper
You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 

66 lines
1.8 KiB

{
"name": "@vexico/spookvooperapi",
"version": "2.1.0",
"description": "Easy to use library for the SpookVooper API and other APIs that are in direct integration with SVAPI",
"exports": {
".": {
"import": "./out/esm/main.js",
"require": "./out/cjs/main.js"
},
"./tools": {
"import": "./out/esm/tools.js",
"require": "./out/cjs/tools.js"
},
"./dev": {
"import": "./out/esm/dev.js",
"require": "./out/cjs/dev.js"
}
},
"scripts": {
"test:cjs": "node out/cjs/test.js",
"test:esm": "node out/esm/test.js",
"setup-dependencies": "npm i",
"full-lint": "npx eslint .; npx ts-standard",
"lint-style": "npx ts-standard",
"build": "npx tsc --outDir out/cjs --module CommonJS; npx tsc --outDir out/esm --module ESNext"
},
"publishConfig": {
"registry": "https://npm.pkg.github.com/"
},
"repository": {
"type": "git",
"url": "git+https://github.com/vexico/spookvooper-api.git"
},
"types": "./typings/main.d.ts",
"keywords": [
"spookvooper",
"api",
"library",
"SVAPI"
],
"author": "Vexi Technologies",
"license": "BSD-3-Clause",
"devDependencies": {
"@types/node": "^14.14.10",
"@typescript-eslint/eslint-plugin": "^4.9.0",
"@typescript-eslint/parser": "^4.9.0",
"eslint": "^7.12.1",
"eslint-config-standard": "^16.0.2",
"eslint-config-standard-with-typescript": "^18.0.2",
"eslint-plugin-import": "^2.22.1",
"eslint-plugin-node": "^11.1.0",
"eslint-plugin-promise": "^4.2.1",
"prettier": "^2.1.1",
"ts-standard": "^9.0.0",
"typescript": "^4.1.2"
},
"dependencies": {
"@microsoft/signalr": "^5.0.0",
"axios": "^0.21.1",
"rxjs": "^6.6.3"
},
"bugs": {
"url": "https://github.com/vexico/spookvooper-api/issues"
},
"homepage": "https://vexi.cc/"
}